<template lang="pug">
.partners-slider-section(v-if="slides && slides.length")
  .container
    .partners-program-slider-container
      .swiper-pagination(v-if="slides.length > 1")
      .partners-program-slider
        .swiper-button-prev.swiper-button-prev--white(v-if="slides.length > 1")
        .swiper-button-next.swiper-button-next--white(v-if="slides.length > 1")
        .swiper-container(v-swiper:partnersProgram="sliderOptions")
          .swiper-wrapper
            .swiper-slide.partners-program-slide(
              v-for="slide in slides"
              :key="slide.id"
            )
              .partners-program-slide__text
                .partners-program-slide__title(v-if="slide.title" v-html="slide.title")
                .partners-program-slide__descr(v-if="slide.description" v-html="slide.description")

                a.partners-program-slide__link(
                  v-if="slide.button_caption && slide.button_url && slide.button_url.indexOf('http') === 0"
                  :href="slide.button_url"
                  rel="nofollow"
                  target="_blank"
                ) {{ slide.button_caption }}

                nuxt-link.partners-program-slide__link(
                  v-else-if="slide.button_caption && slide.button_url"
                  :to="slide.button_url"
                ) {{ slide.button_caption }}

              .partners-program-slide__image(v-if="slide.image")
                img(:src="slide.image" alt="")
</template>

<script>
import objectFitImages from 'object-fit-images'
import { visibilityMixin } from '../../../mixins/visibility'

export default {
  name: 'PartnersProgramSection',

  data () {
    return {
      sliderOptions: {
        slidesPerView: 1,
        spaceBetween: 0,
        threshold: 10,
        watchOverflow: true,
        speed: 600,
        loop: true,
        simulateTouch: false,
        touch: false,
        navigation: {
          prevEl: '.partners-program-slider-container .swiper-button-prev',
          nextEl: '.partners-program-slider-container .swiper-button-next'
        },
        pagination: {
          el: '.partners-program-slider-container .swiper-pagination',
          clickable: true
        }
      }
    }
  },

  mounted () {
    objectFitImages()
  },

  mixins: [visibilityMixin],

  props: {
    slides: {
      type: [Array, null],
      required: false
    }
  }
}
</script>
